Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.common.persistence
Class AbstractXmlSolutionExporter

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionExporter
              org.optaplanner.examples.common.persistence.AbstractXmlSolutionExporter

Direct Known Subclasses:
  NurseRosteringExporter

    public abstract class AbstractXmlSolutionExporter

extends AbstractSolutionExporter

Nested Class Summary
`class` | `AbstractXmlSolutionExporter.XmlOutputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`AbstractSolutionExporter.OutputBuilder`

Field Summary
`protected static String` | `DEFAULT_OUTPUT_FILE_SUFFIX`

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`solutionDao`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`protected` | `AbstractXmlSolutionExporter(SolutionDao solutionDao)`

Method Summary
`abstract AbstractXmlSolutionExporter.XmlOutputBuilder` | `createXmlOutputBuilder()`
`protected String` | `getOutputFileSuffix()`
`void` | `writeSolution(Solution solution, File outputFile)`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`convertAll, getInputDir, getInputFileSuffix, getOutputDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_OUTPUT_FILE_SUFFIX

    protected static final String DEFAULT_OUTPUT_FILE_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### AbstractXmlSolutionExporter

    protected AbstractXmlSolutionExporter(SolutionDao solutionDao)

Method Detail

### getOutputFileSuffix

    protected String getOutputFileSuffix()

  Specified by:
    `getOutputFileSuffix` in class `AbstractSolutionExporter`

### createXmlOutputBuilder

    public abstract AbstractXmlSolutionExporter.XmlOutputBuilder createXmlOutputBuilder()

### writeSolution

    public void writeSolution(Solution solution,
                              File outputFile)

  Specified by:
    `writeSolution` in class `AbstractSolutionExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.